
" Colors
let s:white        = [ '#ffffff', 15 ]
let s:blue         = [ '#3399ff', 75 ]
let s:green        = [ '#009900', 34]
let s:purple       = [ '#cc66ff', 177 ]
let s:red1         = [ '#e06c75', 168 ]
let s:red2         = [ '#CC3333', 166 ]
let s:yellow       = [ '#ffff00', 226 ]
let s:greenish     = [ '#ffff00', 184 ]
let s:greenish2    = [ '#ffff00', 194 ]
let s:black        = [ '#000000', 0   ]
let s:light_orange = [ '#ffcc99', 223 ]
let s:dark_orange  = [ '#ffcc00', 220 ]
let s:light_pink   = [ '#ffcc99', 224 ]

let s:fg    = [ '#494b53', 238 ]
let s:bg    = [ '#fafafa', 255 ]
let s:gray1 = [ '#494b53', 238 ]
let s:gray2 = [ '#f0f0f0', 255 ]
let s:gray3 = [ '#d0d0d0', 250 ]


let s:p = {'normal': {}, 'inactive': {}, 'insert': {}, 'replace': {}, 'visual': {}, 'tabline': {}}

" Active panel
let s:p.normal.error    = [ [ s:white, s:red2 ] ]
let s:p.normal.warning  = [ [ s:black, s:greenish ] ]

let s:p.normal.left    = [ [ s:white, s:green ], [ s:black, s:light_orange ], [ s:white, s:black ], [ s:black, s:white ], [ s:bg, s:green ] ]
let s:p.normal.middle  = [ [ s:fg, s:gray2 ] ]
let s:p.normal.right   = [ [ s:black, s:white ], [ s:black, s:greenish2 ], [ s:black, s:light_pink ] ]

let s:p.insert.left     = [ [ s:black, s:yellow ], [ s:black, s:light_orange ], [ s:white, s:black ], [ s:black, s:white ], [ s:bg, s:green ] ]
let s:p.insert.right    = [ [ s:black, s:white ], [ s:black, s:greenish2 ], [ s:black, s:light_pink ] ]

let s:p.visual.left    = [ [ s:white, s:purple ], [ s:black, s:light_orange ], [ s:white, s:black ], [ s:black, s:white ], [ s:bg, s:green ] ]
let s:p.visual.right   = [ [ s:black, s:white ], [ s:black, s:greenish2 ], [ s:black, s:light_pink ] ]

let s:p.replace.left   = [ [ s:black, s:red1 ], [ s:black, s:light_orange ], [ s:white, s:black ], [ s:black, s:white ], [ s:bg, s:green ] ]
let s:p.replace.right  = [ [ s:black, s:white ], [ s:black, s:greenish2 ], [ s:black, s:light_pink ] ]

" Inactive panel
let s:p.inactive.left   = [ [ s:black, s:gray3 ], [ s:black, s:gray3 ], [ s:black, s:gray3 ] ]
let s:p.inactive.middle = [ [ s:gray3, s:gray2 ] ]
let s:p.inactive.right  = [ [ s:bg, s:gray3 ] ]

let s:p.tabline.left = [ [ s:black, s:white ] ]
let s:p.tabline.tabsel = [ [ s:white, s:purple ] ]
let s:p.tabline.right = [ [ s:black, s:white ] ]

let g:lightline#colorscheme#mike_ll#palette = lightline#colorscheme#flatten(s:p)
